% batch running for ALC on Hopkins 155

sumTime = 0;

T = 117;
f = fopen('Hopkins155\\all_twomotion.txt', 'r');
for i = 1:T
    s = fgetl(f);
    dirs{i} = s;
end
fclose(f);

for t = 1:T
   
    name = dirs{t};
    fprintf('Processing case %s\n', name);
    
    % read and preprocess the data
    epsilon = logspace(-5, 3, 31);
    [raw_data, trueLabels] = load_sequence(['Hopkins155\\' name '\\' name '_truth']);
    processed_data = process_sequence(raw_data, 'SP');
    result = try_sequence(['Hopkins155\\' name '\\' name '_truth'], processed_data, epsilon);
    [computed_labels, best_epsilon] = find_best_segmentation(result, processed_data, 2, epsilon);
    
    tt = cputime;
    result = try_sequence(['Hopkins155\\' name '\\' name '_truth'], processed_data, best_epsilon);
    sumTime = sumTime + cputime - tt;
    
end

T = 34;
f = fopen('Hopkins155\\all_threemotion.txt', 'r');
for i = 1:T
    s = fgetl(f);
    dirs{i} = s;
end
fclose(f);

for t = 1:T
   
    name = dirs{t};
    fprintf('Processing case %s\n', name);
    
    % read and preprocess the data
    epsilon = logspace(-5, 3, 31);
    [raw_data, trueLabels] = load_sequence(['Hopkins155\\' name '\\' name '_truth']);
    tt = cputime;
    processed_data = process_sequence(raw_data, 'SP');
    result = try_sequence(['Hopkins155\\' name '\\' name '_truth'], processed_data, epsilon);
    [computed_labels, best_epsilon] = find_best_segmentation(result, processed_data, 3, epsilon);
    
    tt = cputime;
    result = try_sequence(['Hopkins155\\' name '\\' name '_truth'], processed_data, best_epsilon);
    sumTime = sumTime + cputime - tt;
    
end